package com.liang.entity;

import java.sql.Date;
import java.io.Serializable;

/**
 * 软件使用费(StaSoftwareexpenses)实体类
 *
 * @author makejava
 * @since 2023-07-18 21:52:43
 */
public class StaSoftwareexpenses implements Serializable {
    private static final long serialVersionUID = -43440092051916882L;

    private Integer id;
    /**
     * 主表（sta_BudgetApproval）
     */
    private Integer zb;
    /**
     * 序号
     */
    private Integer xh;
    /**
     * 软件名称
     */
    private String rjmc;
    /**
     * 软件型号
     */
    private String rjxh;
    /**
     * 单价（万元/套）
     */
    private Double dj;
    /**
     * 数量（套）
     */
    private Integer sl;
    /**
     * 总价（万元）
     */
    private Double zj;
    /**
     * 生产国别与地区
     */
    private String scgbydq;
    /**
     * 隶属单位
     */
    private String lsdw;
    /**
     * 软件主要技术性能指标
     */
    private String rjzyjsxnzb;
    /**
     * 购置时间
     */
    private Date gzsj;
    /**
     * 使用费计取单价（万元）
     */
    private Double syfjqdj;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getZb() {
        return zb;
    }

    public void setZb(Integer zb) {
        this.zb = zb;
    }

    public Integer getXh() {
        return xh;
    }

    public void setXh(Integer xh) {
        this.xh = xh;
    }

    public String getRjmc() {
        return rjmc;
    }

    public void setRjmc(String rjmc) {
        this.rjmc = rjmc;
    }

    public String getRjxh() {
        return rjxh;
    }

    public void setRjxh(String rjxh) {
        this.rjxh = rjxh;
    }

    public Double getDj() {
        return dj;
    }

    public void setDj(Double dj) {
        this.dj = dj;
    }

    public Integer getSl() {
        return sl;
    }

    public void setSl(Integer sl) {
        this.sl = sl;
    }

    public Double getZj() {
        return zj;
    }

    public void setZj(Double zj) {
        this.zj = zj;
    }

    public String getScgbydq() {
        return scgbydq;
    }

    public void setScgbydq(String scgbydq) {
        this.scgbydq = scgbydq;
    }

    public String getLsdw() {
        return lsdw;
    }

    public void setLsdw(String lsdw) {
        this.lsdw = lsdw;
    }

    public String getRjzyjsxnzb() {
        return rjzyjsxnzb;
    }

    public void setRjzyjsxnzb(String rjzyjsxnzb) {
        this.rjzyjsxnzb = rjzyjsxnzb;
    }

    public Date getGzsj() {
        return gzsj;
    }

    public void setGzsj(Date gzsj) {
        this.gzsj = gzsj;
    }

    public Double getSyfjqdj() {
        return syfjqdj;
    }

    public void setSyfjqdj(Double syfjqdj) {
        this.syfjqdj = syfjqdj;
    }

}

